Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005518TestLinkTest Plan Managementpublic2013-02-05 22:042013-05-26 18:50
Reporterbiswasdi 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005518: error message while trying to activate existing inactive Test Plans.
DescriptionI know that Issue 5465(Inactive test Plans do not show up on Test Plan Management) has got fixed where we can see the Inactive and non-public Test Plans. However when we go to update an existing Inactive Test Plan and hit the Update button on the "Edit Test Plan" page, we get a message stating "There is already a Test Plan with this name. Please choose another name!".

1. Thus we are not able to activate an existing inactive Test Plan.
2. Also when we update any other active Test Plan, the Test Plan Management page refreshes when all Inactive and Non-public Test Plans just disappear. We need to reload the page by clicking Projects and then we can see all of the data.

I am still on TestLink 1.9.5 and I understand that upgrading to TestLink 1.9.6 would require me to go through DB upgrade (I just want to stay in 1.9.5 until your team officially releases TestLink 1.9.6).

I took all the code from Issue 5406 (glitorious) and just copied the lib\plan folder to my server. May be it is missing something.

Any quick help would be very beneficial to us.
Steps To Reproduce1. Go to Test Project in TestLink that has inactive Test Plans.
2. Click on a Test Plan that is inactive.
3. On the "Edit Test Plan" page, please check the Active checkbox.
4. Click on Update button.
5. We get a message stating "There is already a Test Plan with this name. Please choose another name!".
6. Also if we update any other active test plan, the Test Plan management landing page reloads and doesn't show the Inactive and Non-public Test plans.
Additional InformationI am on TestLink 1.9.5.
I took the latest code from Issue 5406 from the follwing url (http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^]). But I just took the Lib/Plan folder from the source code and put it on my TestLink server.

Please advise if you might already have a fix for my issue in TestLink 1.9.5.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox, IE9
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005406closedfman Availables hot-fixes for 1.9.5 & How To get full fixed package from gitorious 

-  Notes
(0018296)
fman (administrator)
2013-02-07 16:40

best thing you can do is have a parallel installation with latest version and test there if issue is fixed.
we do not provide fixes in other way that through official release or comits you got from gitorious
(0018298)
biswasdi (reporter)
2013-02-07 21:12

Just wanted to confirm - Are you suggesting me to install TL 1.9.6 (the latest version available in gitorious) on a seperate instance and validate if the issue is fixed there?
or
Is there a seperate latest TestLink 1.9.5 package that I should try to install and test?

Thanks for your help!
(0018306)
fman (administrator)
2013-02-09 16:55

>> Are you suggesting me to install TL 1.9.6 (the latest version available in
>> gitorious) on a seperate instance and validate if the issue is fixed there?
this one.
(0018308)
sujataverma3 (reporter)
2013-02-11 08:51

I could reproduce the issue , took latest code today ( Feb11,2013) from below link

(http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^])

Installed it, and found the issues. The OS is Windows XP, MySQL 5.1.30,PHP 5.2.8


Steps to reproduce

Issue 1 # Inactive test plan does not show up after refresh:

1) Go to Test Project-> Test Plan Management-> Create "Test Plan A" -> InActive , Public

2) Click OK -> Screen Refreshes but says:

"There are no Test Plans defined! Create one to allow test execution functionality "

3) Now go back to Project-> Test Plan management-> We can see the Inactive Test Plan-> "Test Plan A"

Issue 2 # Inactive test plan could not be made active:

4) Click on "Test Plan A" -> check the active windows-> Click "Update"
Got error message

"There is already a Test Plan with this name. Please choose another name!"
(0018316)
fman (administrator)
2013-02-12 20:08

http://gitorious.org/testlink-ga/testlink-code/commit/f0fa48b697c3e23046b515597b5d60d4d11693d9 [^]

- Issue History
Date Modified Username Field Change
2013-02-05 22:04 biswasdi New Issue
2013-02-07 16:40 fman Note Added: 0018296
2013-02-07 21:12 biswasdi Note Added: 0018298
2013-02-09 16:55 fman Note Added: 0018306
2013-02-11 08:51 sujataverma3 Note Added: 0018308
2013-02-12 20:04 fman Summary Tool renders error while trying to activate existing inactive Test Plans. => error message while trying to activate existing inactive Test Plans.
2013-02-12 20:04 fman Relationship added parent of 0005406
2013-02-12 20:05 fman Relationship deleted parent of 0005406
2013-02-12 20:05 fman Relationship added related to 0005406
2013-02-12 20:07 fman Tag Attached: TO BE FIXED on 2.0
2013-02-12 20:08 fman Note Added: 0018316
2013-02-12 20:08 fman Assigned To => fman
2013-02-12 20:08 fman Status new => assigned
2013-02-12 20:08 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-02-12 20:08 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-02-12 20:09 fman Status assigned => resolved
2013-02-12 20:09 fman Resolution open => fixed
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker